{
  description = "toes terminal emulator";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
  };

  outputs =
    { nixpkgs, ... }:
    let
      systems = [
        "aarch64-linux"
        "x86_64-linux"
      ];

      forAllSystems = nixpkgs.lib.genAttrs systems;
    in
    {
      packages = forAllSystems (
        system:
        let
          pkgs = import nixpkgs { inherit system; };

          toes = pkgs.foot.overrideAttrs {
            pname = "toes";
            version = "1.26.1";
            src = ./.;
            meta.mainProgram = "foot";
          };
        in
        {
          inherit toes;
          default = toes;
        }
      );
    };
}
